net.sf.statsvn.ant

## Class AntTaskLogger

- java.lang.Object
- - net.sf.statsvn.ant.AntTaskLogger

- All Implemented Interfaces:
    TaskLogger

      public final class AntTaskLogger
      extends java.lang.Object
      implements TaskLogger

  This class wraps up an Ant task which is going to be used to log some text when the tool is used with Ant.
  Author:
    Benoit Xhenseval

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(java.lang.String arg)` Uses the Ant mechanism to log the text.
    `void` | `info(java.lang.String arg)` Uses the Ant mechanism to log the text.
    `void` | `log(java.lang.String text)` Uses the Ant mechanism to log the text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### log

          public void log(java.lang.String text)

      Uses the Ant mechanism to log the text.
      Specified by:
        `log` in interface `TaskLogger`
      Parameters:
        `text` - to be logged.

    - #### error

          public void error(java.lang.String arg)

      Uses the Ant mechanism to log the text.
      Specified by:
        `error` in interface `TaskLogger`
      Parameters:
        `text` - to be logged.

    - #### info

          public void info(java.lang.String arg)

      Uses the Ant mechanism to log the text.
      Specified by:
        `info` in interface `TaskLogger`
      Parameters:
        `text` - to be logged.